# Kount::KountRisAppApi

All URIs are relative to *http://localhost:51122*

Method | HTTP request | Description
------------- | ------------- | -------------
[**kount_ris_app_delete**](KountRisAppApi.md#kount_ris_app_delete) | **DELETE** /api/KountRisApp/{id} | 
[**kount_ris_app_get**](KountRisAppApi.md#kount_ris_app_get) | **GET** /api/KountRisApp | 
[**kount_ris_app_get_0**](KountRisAppApi.md#kount_ris_app_get_0) | **GET** /api/KountRisApp/{id} | 
[**kount_ris_app_post**](KountRisAppApi.md#kount_ris_app_post) | **POST** /api/KountRisApp | 
[**kount_ris_app_put**](KountRisAppApi.md#kount_ris_app_put) | **PUT** /api/KountRisApp/{id} | 


# **kount_ris_app_delete**
> kount_ris_app_delete(id)



### Example
```ruby
# load the gem
require 'kount'

api_instance = Kount::KountRisAppApi.new

id = 56 # Integer | 


begin
  api_instance.kount_ris_app_delete(id)
rescue Kount::ApiError => e
  puts "Exception when calling KountRisAppApi->kount_ris_app_delete: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**|  | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: Not defined



# **kount_ris_app_get**
> String kount_ris_app_get



### Example
```ruby
# load the gem
require 'kount'

api_instance = Kount::KountRisAppApi.new

begin
  result = api_instance.kount_ris_app_get
  p result
rescue Kount::ApiError => e
  puts "Exception when calling KountRisAppApi->kount_ris_app_get: #{e}"
end
```

### Parameters
This endpoint does not need any parameter.

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/json, application/xml, text/xml



# **kount_ris_app_get_0**
> String kount_ris_app_get_0(id)



### Example
```ruby
# load the gem
require 'kount'

api_instance = Kount::KountRisAppApi.new

id = 56 # Integer | 


begin
  result = api_instance.kount_ris_app_get_0(id)
  p result
rescue Kount::ApiError => e
  puts "Exception when calling KountRisAppApi->kount_ris_app_get_0: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**|  | 

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json, text/json, application/xml, text/xml



# **kount_ris_app_post**
> String kount_ris_app_post(_product_details)



### Example
```ruby
# load the gem
require 'kount'

api_instance = Kount::KountRisAppApi.new

_product_details = Kount::ProductDetails.new # ProductDetails | 


begin
  result = api_instance.kount_ris_app_post(_product_details)
  p result
rescue Kount::ApiError => e
  puts "Exception when calling KountRisAppApi->kount_ris_app_post: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_product_details** | [**ProductDetails**](ProductDetails.md)|  | 

### Return type

**String**

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: application/json, text/json, application/xml, text/xml



# **kount_ris_app_put**
> kount_ris_app_put(id, value)



### Example
```ruby
# load the gem
require 'kount'

api_instance = Kount::KountRisAppApi.new

id = 56 # Integer | 

value = 'value_example' # String | 


begin
  api_instance.kount_ris_app_put(id, value)
rescue Kount::ApiError => e
  puts "Exception when calling KountRisAppApi->kount_ris_app_put: #{e}"
end
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **id** | **Integer**|  | 
 **value** | **String**|  | 

### Return type

nil (empty response body)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded
 - **Accept**: Not defined



